// -*-C++-*-
/*!
 * @file  RTC_2DCDPSystemControlSVC_impl.h
 * @brief Service implementation header of RTC_2DCDPSystemControl.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "RTC_2DCDPSystemControlSkel.h"

#ifndef RTC_2DCDPSYSTEMCONTROLSVC_IMPL_H
#define RTC_2DCDPSYSTEMCONTROLSVC_IMPL_H
 
/*!
 * @class RTC_2DCDPSystemContResetSVC_impl
 * Example class implementing IDL interface RTC_2DCDPSystemContServ::RTC_2DCDPSystemContReset
 */
class RTC_2DCDPSystemContResetSVC_impl
 : public virtual POA_RTC_2DCDPSystemContServ::RTC_2DCDPSystemContReset,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~RTC_2DCDPSystemContResetSVC_impl();

   // add to code
   CORBA::ULong m_ul2dcdpResetTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   RTC_2DCDPSystemContResetSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~RTC_2DCDPSystemContResetSVC_impl();

   // attributes and operations
   void Req2DCDPSystemContReset(CORBA::ULong ulResetTrigger);
   CORBA::ULong Get2DCDPSystemContReset();

};



#endif // RTC_2DCDPSYSTEMCONTROLSVC_IMPL_H


